org.w3c.dom.html

## Interface HTMLIFrameElement

All Superinterfaces:
  Element, HTMLElement, Node

    public interface HTMLIFrameElement
    extends HTMLElement

Inline subwindows. See the IFRAME element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`String` `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`Document` `getContentDocument()` The document this frame contains, if there is any and it is available, or `null` otherwise.
`String` `getFrameBorder()` Request frame borders.
`String` `getHeight()` Frame height.
`String` `getLongDesc()` URI designating a long description of this image or frame.
`String` `getMarginHeight()` Frame margin height, in pixels.
`String` `getMarginWidth()` Frame margin width, in pixels.
`String` `getName()` The frame name (object of the `target` attribute).
`String` `getScrolling()` Specify whether or not the frame should have scrollbars.
`String` `getSrc()` A URI designating the initial frame contents.
`String` `getWidth()` Frame width.
`void` `setAlign(String align)`
`void` `setFrameBorder(String frameBorder)`
`void` `setHeight(String height)`
`void` `setLongDesc(String longDesc)`
`void` `setMarginHeight(String marginHeight)`
`void` `setMarginWidth(String marginWidth)`
`void` `setName(String name)`
`void` `setScrolling(String scrolling)`
`void` `setSrc(String src)`
`void` `setWidth(String width)`

### Methods inherited from interface org.w3c.dom.html.HTMLElement

`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getAlign

    String getAlign()

Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

#### setAlign

    void setAlign(String align)

#### getFrameBorder

    String getFrameBorder()

Request frame borders. See the frameborder attribute definition in HTML 4.0.

#### setFrameBorder

    void setFrameBorder(String frameBorder)

#### getHeight

    String getHeight()

Frame height. See the height attribute definition in HTML 4.0.

#### setHeight

    void setHeight(String height)

#### getLongDesc

    String getLongDesc()

URI designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.0.

#### setLongDesc

    void setLongDesc(String longDesc)

#### getMarginHeight

    String getMarginHeight()

Frame margin height, in pixels. See the marginheight attribute definition in HTML 4.0.

#### setMarginHeight

    void setMarginHeight(String marginHeight)

#### getMarginWidth

    String getMarginWidth()

Frame margin width, in pixels. See the marginwidth attribute definition in HTML 4.0.

#### setMarginWidth

    void setMarginWidth(String marginWidth)

#### getName

    String getName()

The frame name (object of the `target` attribute). See the name attribute definition in HTML 4.0.

#### setName

    void setName(String name)

#### getScrolling

    String getScrolling()

Specify whether or not the frame should have scrollbars. See the scrolling attribute definition in HTML 4.0.

#### setScrolling

    void setScrolling(String scrolling)

#### getSrc

    String getSrc()

A URI designating the initial frame contents. See the src attribute definition in HTML 4.0.

#### setSrc

    void setSrc(String src)

#### getWidth

    String getWidth()

Frame width. See the width attribute definition in HTML 4.0.

#### setWidth

    void setWidth(String width)

#### getContentDocument

    Document getContentDocument()

The document this frame contains, if there is any and it is available, or `null` otherwise.

Since:
  DOM Level 2